Admin Sector: Employees
Create Employee
Create an employee. Restricted to Manager / Admin / Director / HR.
POST
/
api
/
v1
/
employees
Create Employee
curl --request POST \
--url https://vinmake-erp.onrender.com/api/v1/employees \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fullName": "<string>",
"employeeCode": "<string>",
"preferredName": "<string>",
"email": "<string>",
"phone": "<string>",
"department": "<string>",
"jobTitle": "<string>",
"employmentType": "full_time",
"status": "active",
"hireDate": "<string>",
"terminationDate": "<string>",
"managerId": "<string>",
"linkedUserId": "<string>",
"baseSalary": 123,
"payFrequency": "<string>",
"notes": "<string>"
}
'import requests
url = "https://vinmake-erp.onrender.com/api/v1/employees"
payload = {
"fullName": "<string>",
"employeeCode": "<string>",
"preferredName": "<string>",
"email": "<string>",
"phone": "<string>",
"department": "<string>",
"jobTitle": "<string>",
"employmentType": "full_time",
"status": "active",
"hireDate": "<string>",
"terminationDate": "<string>",
"managerId": "<string>",
"linkedUserId": "<string>",
"baseSalary": 123,
"payFrequency": "<string>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fullName: '<string>',
employeeCode: '<string>',
preferredName: '<string>',
email: '<string>',
phone: '<string>',
department: '<string>',
jobTitle: '<string>',
employmentType: 'full_time',
status: 'active',
hireDate: '<string>',
terminationDate: '<string>',
managerId: '<string>',
linkedUserId: '<string>',
baseSalary: 123,
payFrequency: '<string>',
notes: '<string>'
})
};
fetch('https://vinmake-erp.onrender.com/api/v1/employees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"orgId": "<string>",
"fullName": "<string>",
"employmentType": "<string>",
"status": "<string>",
"employeeCode": "<string>",
"preferredName": "<string>",
"email": "<string>",
"phone": "<string>",
"department": "<string>",
"jobTitle": "<string>",
"hireDate": "<string>",
"terminationDate": "<string>",
"managerId": "<string>",
"linkedUserId": "<string>",
"baseSalary": 123,
"payFrequency": "<string>",
"notes": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Minimum string length:
1Response
Successful Response
⌘I
Create Employee
